1 Reply Latest reply on Sep 13, 2011 9:49 PM by MichaelKazlow

    adobe reader for mac os x 10.4.11

    leoarico

      I logged in to the Adobe website, followed directions carefully, downloaded first AdbeRdr 940, then AdbeRdr 8, finally AdbeRdr Upd 941.  Each time the installation was refused ("not supported").  Which version of Reader do I need?  How can I find out what is already installed?  (My iMac was a hand-me-down from a co-worker).